<?php 
$errorMessage = ""; $validMessage = "";

//########## IMPORT
$destination = get_template_directory().'/assets/images/ico/';
if(isset($_POST['import_archive'])){
	if(isset($_FILES['archive'])) {
		// extraction de l'archive
		$zip = new ZipArchive;
		$res = $zip->open($_FILES['archive']['tmp_name']);
		if($res === TRUE) {		
			$mandatories = [
				'apple-icon-57x57.png',
				'apple-icon-60x60.png',
				'apple-icon-72x72.png',
				'apple-icon-76x76.png',
				'apple-icon-114x114.png',
				'apple-icon-120x120.png',
				'apple-icon-144x144.png',
				'apple-icon-152x152.png',
				'apple-icon-180x180.png',
				'android-icon-192x192.png',
				'favicon-32x32.png',
				'favicon-96x96.png',
				'favicon-16x16.png',
				'manifest.json',
				'ms-icon-144x144.png'				
			];		
			$missings = [];
			foreach($mandatories as $filename){
				if($zip->getFromName($filename) == false)				
					$missings[] = $filename;
			}
			if(count($missings) == 0){	
				foreach(glob($destination.'*') as $file){ 
					if(is_file($file))
						unlink($file); // delete file
				}				
				$zip->extractTo($destination);				
				$validMessage = "Import effectué avec succès.";
			}
			else {
				$errorMessage = "Il y a un ou plusieurs fichiers introuvables dans l'archive :";
				$errorMessage .= '<ul>';
				foreach($missings as $missing){
					$errorMessage .= "<li><strong>".$missing."</strong></li>";
				}
				$errorMessage .= '</ul>';
			}			
		} 
		else 
			$errorMessage = "Erreur d'extraction de l'archive";
	} 
	else 
		$errorMessage = "Aucun fichier à uploader";
}
?>
<h2>Importer les favicons</h2>
<hr/>
<?php 
	if($errorMessage) {
?>
	<div id="message" class="error notice notice-success is-dismissible">
		<p><?php echo $errorMessage; ?></p>
		<button type="button" class="notice-dismiss"><span class="screen-reader-text">Ne pas tenir compte de ce message.</span></button>
	</div>
<?php 
	}
?>
<?php 
	if($validMessage) {
?>
	<div id="message" class="updated notice notice-success is-dismissible">
		<p><?php echo $validMessage; ?></p>
		<button type="button" class="notice-dismiss"><span class="screen-reader-text">Ne pas tenir compte de ce message.</span></button>
	</div>
<?php 
	}
?>
<p>
	<strong>Le fichier à fournir doit être une archive au format ZIP.</strong>
	<br/>	
	L'archive peut être generée sur le site <a href="https://www.favicon-generator.org/" target="_blank">https://www.favicon-generator.org/</a>
</p>
<hr/>
<form method="post" action="" enctype="multipart/form-data">
	<div>
		<input required name="archive" type="file" id="archive"/>
	</div>
	<input type="submit" name="import_archive" id="submit" class="button button-primary" value="Importer l'archive">
</form>